#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# path to the basic package
BASE:=$(CURDIR)/debian/xfe
BASEMAN:=$(BASE)/usr/share/man

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- --enable-sn --enable-release


override_dh_install:
	dh_install

	@echo rename binaries to prevent clash with other programs:
	if test -d $(BASE); then \
	  test -f $(BASE)/usr/bin/xfi && \
	    mv $(BASE)/usr/bin/xfi $(BASE)/usr/bin/xfimage; \
	  test -f $(BASE)/usr/bin/xfp && \
	    mv $(BASE)/usr/bin/xfp $(BASE)/usr/bin/xfpack; \
	  test -f $(BASE)/usr/bin/xfw && \
	    mv $(BASE)/usr/bin/xfw $(BASE)/usr/bin/xfwrite; \
	fi
	if test -d $(BASEMAN)/man1; then \
	  test -f $(BASEMAN)/man1/xfi.1 && \
	    mv $(BASEMAN)/man1/xfi.1 $(BASEMAN)/man1/xfimage.1; \
	  test -f $(BASEMAN)/man1/xfp.1 && \
	    mv $(BASEMAN)/man1/xfp.1 $(BASEMAN)/man1/xfpack.1; \
	  test -f $(BASEMAN)/man1/xfw.1 && \
	    mv $(BASEMAN)/man1/xfw.1 $(BASEMAN)/man1/xfwrite.1; \
	fi

